package com.dgtis.dorm.manager.db.service;

import java.util.List;

import com.dgtis.dorm.manager.db.dao.ZhllUserMaterialMapper;
import com.dgtis.dorm.manager.db.domain.ZhllUserMaterial;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 我的材料 服务层实现
 * 
 * @author ruoyi
 * @date 2019-07-10
 */
@Service
public class ZhllUserMaterialService
{
	@Resource
	private ZhllUserMaterialMapper zhllUserMaterialMapper;

	/**
     * 查询我的材料信息
     * 
     * @param id 我的材料ID
     * @return 我的材料信息
     */
	public ZhllUserMaterial selectZhllUserMaterialById(String id)
	{
	    return zhllUserMaterialMapper.selectZhllUserMaterialById(id);
	}
	
	/**
     * 查询我的材料列表
     * 
     * @param zhllUserMaterial 我的材料信息
     * @return 我的材料集合
     */
	public List<ZhllUserMaterial> selectZhllUserMaterialList(ZhllUserMaterial zhllUserMaterial)
	{
	    return zhllUserMaterialMapper.selectZhllUserMaterialList(zhllUserMaterial);
	}
	
    /**
     * 新增我的材料
     * 
     * @param zhllUserMaterial 我的材料信息
     * @return 结果
     */
	public int insertZhllUserMaterial(ZhllUserMaterial zhllUserMaterial)
	{
	    return zhllUserMaterialMapper.insertZhllUserMaterial(zhllUserMaterial);
	}
	
	/**
     * 修改我的材料
     * 
     * @param zhllUserMaterial 我的材料信息
     * @return 结果
     */
	public int updateZhllUserMaterial(ZhllUserMaterial zhllUserMaterial)
	{
	    return zhllUserMaterialMapper.updateZhllUserMaterial(zhllUserMaterial);
	}


	/*
	 * @descption: 根据材料id删除材料
	 * @param:
	 * @return: java.lang.Integer
	 * @auther: qxp
	 * @date:19-7-10 18:11
	 */
    public Integer deleteById(String id) {
    	return zhllUserMaterialMapper.deleteById(id);
    }
}
